DESCRIPTION = "Auto configuration deployment from media"
DEPENDS = ""
RDEPENDS:${PN} = "bash"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

SRC_URI += "file://confd \
            file://expandfs.sh \
            file://80_diya \
            file://fs_resize \
            file://boot-to-recovery \
            file://diya.pam \
            file://xdg-terminal-exec"

S = "${UNPACKDIR}"
inherit update-rc.d useradd

USERADD_PACKAGES = "${PN}"
GROUPADD_PACKAGES = "${PN}"

USERADD_PARAM:${PN} = "-u 1000 -d /home/diya -r -s /bin/sh diya"

INITSCRIPT_NAME = "confd"
INITSCRIPT_PARAMS = "start 30 S ."

do_install() {
    install -d ${D}/${sysconfdir}/init.d/
    install -d ${DEPLOY_DIR_IMAGE}
    install -m 0755 ${UNPACKDIR}/confd ${D}/${sysconfdir}/init.d/confd
    install -d ${D}/sbin/
    install -d ${D}/etc/default/volatiles
	install -m 0644 ${UNPACKDIR}/80_diya ${D}${sysconfdir}/default/volatiles
    install -m 0755 ${UNPACKDIR}/expandfs.sh ${D}/sbin/expandfs.sh
    install -m 0755 ${UNPACKDIR}/boot-to-recovery ${D}/sbin/boot-to-recovery
    install -m 0755 ${UNPACKDIR}/fs_resize ${DEPLOY_DIR_IMAGE}/
    install -d ${D}/etc/pam.d
    install -m 0644 ${UNPACKDIR}/diya.pam ${D}${sysconfdir}/pam.d/diya
    install -d ${D}/usr/bin
    install -m 0755 ${UNPACKDIR}/xdg-terminal-exec ${D}/usr/bin
    cat << EOF > ${DEPLOY_DIR_IMAGE}/diya-config.txt
recovery=false
recovery_image=recovery-${MACHINE}.cpio.gz
console=both
bootlogo=false
EOF

    install -d ${D}/var/etc
    install -d ${D}/var/etc/upper
    install -d ${D}/var/etc/work
}
